<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section class="content-header" layout:fragment="breadcrumb">
    <h1>
        Dashboard
        <small>Control panel</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Dashboard</li>
    </ol>

</section>

<section layout:fragment="main" class="content">

    <div class="row" th:if="${jmlSchedule > 0}">
        <div class="col-md-6">
            <div class="box table-responsive">
                <div class="box-header">
                    <h4>Daftar Acara Terdekat</h4>
                    <a th:href="@{/pdf/panduan_absensi_event.pdf}" target="_blank">Panduan Pengisian Absen Event  <i class="fa fa-download"></i></a>
                </div>
                <div class="box-body">
                    <table class="table table-striped">
                        <thead class="thead-dark">
                        <tr>
                            <th>No</th>
                            <th>Date</th>
                            <th>Time</th>
                            <th>Event</th>
                            <th>Status</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data,row : ${scheduleEvent}">
                            <td th:text="${(row.index +1)}"></td>
                            <td th:text="${data.getScheduleDate()}"></td>
                            <td th:text="${data.getScheduleTimeStart() + ' s/d ' + data.getScheduleTimeEnd()}"></td>
                            <td th:text="${data.getScheduleName()}"></td>
                            <td th:if="${data.getStatusMulai().toString().equals('BELUM MULAI')}" th:text="${data.getStatusMulai()}">

                            </td>
                            <td th:if="${data.getStatusMulai().toString().equals('SELESAI')}" th:text="${data.getStatusMulai()}">

                            </td>
                            <td th:if="${data.getStatusMulai().toString().equals('MULAI')}" th:text="${data.getStatusMulai()}">
                            </td>

                            <td>
                                <a th:if="${data.getStatusMulai().toString().equals('MULAI') && data.getAbsen().equals('BELUM')}" th:href="@{/request/attendance/event(scheduleEvent=${data.getId()})}" class="btn btn-xs btn-primary">Isi Absen</a>
                                <a th:if="${data.getAbsen().equals('ABSEN')}"  class="btn btn-xs btn-success" th:href="@{/request/attendance/event_edit(scheduleEvent=${data.getId()}, attendanceScheduleEvent=${data.getIdAbsen()})}">HADIR</a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <br>
                    <p><b>Acara diatas bersifat wajib, dan diwajibkan bagi anda untuk mengisi absensi saat acara di mulai sampai acara berakhir.</b></p>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-aqua">
                <div class="inner">
                    <h4 th:if="${statusTimeOff.getStatus().equals('OK')}"><b th:if="${statusTimeOff.getStatus().equals('OK')}" th:text="${dashboardTimeOffJenis[1] - dashboardTimeOffJenis[2] +' Of '+dashboardTimeOffJenis[0]}"></b></h4>
          <h4 th:if="${statusTimeOff.getStatus().equals('NO')}"><b th:if="${statusTimeOff.getStatus().equals('NO')}" th:text="${dashboardTimeOffJenis}"></b></h4>

                    <p>Time Off Quota</p>
                </div>
                <div class="icon">
                    <i class="ion ion-bag"></i>
                </div>
                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-green">
                <div class="inner">
                    <h4><b th:text="${jumlahEmployes}">53<sup style="font-size: 20px">%</sup></b></h4>

                    <p th:text="${'Employes ( '+ jumlahEmployesPria +'-Male + '+ jumlahEmployesWanita +'-Female )'}">Employes</p>
                </div>
                <div class="icon">
                    <i class="ion ion-person"></i>
                </div>
                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-yellow">
                <div class="inner">
                    <h4><b th:text="${#numbers.formatDecimal(toalSalaryPerTahun, 0, 'POINT', 0, 'COMMA')}">44</b></h4>

                    <p>Salary On This Year</p>
                </div>
                <div class="icon">
                    <i class="ion ion-android-archive"></i>
                </div>
                <a th:href="@{/report/employee_salary}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-red">
                <div class="inner">
                    <h4><b>65</b></h4>

                    <p>Unique Visitors</p>
                </div>
                <div class="icon">
                    <i class="ion ion-pie-graph"></i>
                </div>
                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#activity" data-toggle="tab">Announcement</a></li>
                    <li><a href="#timeline" data-toggle="tab">Timeline</a></li>
                    <li><a href="#settings" data-toggle="tab">Settings</a></li>
                </ul>
                <div class="tab-content">


                    <div class="active tab-pane" id="activity" >
                        <div class="box" sec:authorize="hasAuthority('SHARE_ANNOUNCEMENT')">
                            <div class="box-header">
                                <h3 class="box-title">Announcement
                                    <!--                                    <small>Simple and fast</small>-->
                                </h3>

                                <div class="pull-right box-tools">
                                    <button type="button" class="btn btn-default btn-sm" data-widget="collapse" data-toggle="tooltip"
                                            title="Collapse">
                                        <i class="fa fa-minus"></i></button>
                                    <button type="button" class="btn btn-default btn-sm" data-widget="remove" data-toggle="tooltip"
                                            title="Remove">
                                        <i class="fa fa-times"></i></button>
                                </div>
                                <!-- /. tools -->
                            </div>
                            <form class="form-horizontal" th:action="@{/announcement/save}" th:object="${announcement}" method="post" enctype="multipart/form-data">
                                <div class="box-body pad">

                                    <div class="row">
                                    <textarea class="textarea" th:field="*{isi}" name="isi" placeholder="Place some text here"
                                              style="width: 100%; height: 200px; font-size: 14px; line-height: 18px; border: 1px solid #dddddd; padding: 10px;">
                                    </textarea>
                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-sm-10">
                                            <input type="file" name="file" id="file" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                            <!--                                            <p class="help-block">Attachment.</p>-->
                                        </div>
                                    </div>
                                </div>

                                <div class="box-footer pad">
                                    <div class="row">
                                        <div class="form-group">
                                            <label for="companies" class="col-sm-2 control-label">Branch</label>

                                            <div class="col-sm-10">
                                                <select class="form-control select2" multiple="multiple" name="companies" id="companies" data-placeholder="Select a Branch">
                                                    <!--                                                    <option value="">All</option>-->
                                                    <option th:each="datass : ${listCompanies}"
                                                            th:text="${datass.companyName}"
                                                            th:value="${datass.id}">sdasd</option>
                                                </select>
                                            </div>
                                        </div>
                                        <!--                                            <div class="form-group">-->
                                        <!--                                                <label>Multiple</label>-->
                                        <!--                                                <select class="form-control select2" multiple="multiple" data-placeholder="Select a State"-->
                                        <!--                                                        style="width: 100%;">-->
                                        <!--                                                    <option th:each="datass : ${listCompanies}"-->
                                        <!--                                                            th:text="${datass.companyName}"-->
                                        <!--                                                            th:value="${datass.id}">sdasd</option>-->
                                        <!--                                                </select>-->
                                        <!--                                            </div>-->
                                    </div>
                                    <div class="row">
                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Post</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <!-- Post -->
                        <div class="box">
                            <div class="box-body">
                                <div class="post" th:each="dataAnnouncement,row : ${listAnnouncement}">
                                    <div class="user-block">
                                        <img class="img-circle img-bordered-sm" th:src="@{/masterdata/employee/{employes}/foto/(employes = ${dataAnnouncement.getIdEmployee()})}" alt="user image">
                                        <span class="username">
                                          <a href="#" th:text="${dataAnnouncement.getFullName()}">Jonathan Burke Jr.</a>
                                          <a href="#" class="pull-right btn-box-tool"><i class="fa fa-times"></i></a>
                                        </span>
                                        <span class="description" th:text="${#temporals.format(dataAnnouncement.getDateUpdate(),'dd-MMM-yyyy hh:mm')}">Shared publicly - 7:30 PM today</span>
                                    </div>
                                    <!-- /.user-block -->
                                    <!--                                    <p th:text="${dataAnnouncement.getIsi()}">-->
                                    <div style="white-space: pre-wrap" th:utext="${dataAnnouncement.getIsi()}">Content</div>

                                    </p>

                                    <!--                                    <span class="mailbox-attachment-icon"><i class="fa fa-file-pdf-o"></i></span>-->

                                    <div class="mailbox-attachment-info" th:if="${dataAnnouncement.getFileUpload() != null and dataAnnouncement.getFileUpload() != '' and dataAnnouncement.getFileUpload() != 'default.jpg'}">
                                        <a th:href="@{/announcement/{announcement}/file/(announcement = ${dataAnnouncement.getId()})}" class="mailbox-attachment-name" th:text="${dataAnnouncement.getFileUpload()}"><i class="fa fa-paperclip"></i> Sep2014-report.pdf</a>
                                        <span class="mailbox-attachment-size">
                                          -
                                          <a th:href="@{/announcement/{announcement}/file/(announcement = ${dataAnnouncement.getId()})}" class="btn btn-default btn-xs pull-right"><i class="fa fa-cloud-download"></i></a>
                                        </span>
                                    </div>

                                    <br>
                                </div>
                            </div>
                            <div class="box-footer">
                                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                    <li class="disabled"><a href="#" aria-label="Previous"><span
                                            aria-hidden="true">&laquo;</span></a>
                                    </li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <!-- /.tab-pane -->
                    <div class="tab-pane" id="timeline">

                    </div>

                    <div class="tab-pane" id="settings">

                    </div>
                    <!-- /.tab-pane -->
                </div>
                <!-- /.tab-content -->
            </div>
            <!-- /.nav-tabs-custom -->
        </div>
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">My Reports</h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <!--          <a th:href="@{/my/shift}" class="btn btn-app">-->
                            <!--            <i class="fa fa-calendar"></i> My Shift-->
                            <!--          </a>-->
                            <a th:href="@{/my/attendance}" class="btn btn-app">
                                <i class="fa fa-calendar-check-o"></i> My Attendance
                            </a>
                            <a th:href="@{/my/payslip}" class="btn btn-app">
                                <i class="fa fa-money"></i> My Pay Slip
                            </a>
                            <a th:href="@{/my/thrSlip}" class="btn btn-app">
                                <i class="fa fa-money"></i> My THR Slip
                            </a>
                            <a th:href="@{/my/loan}" class="btn btn-app">
                                <i class="fa fa-credit-card"></i> My Loan
                            </a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th colspan="4">Time Off today</th>
                                    </tr>
                                    <tr>
                                        <th>#</th>
                                        <th>Date</th>
                                        <th>Employee</th>
                                        <th>Desc</th>
                                        <th>Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr th:each="dataTimeOff,row : ${timeOffHariIni}">
                                        <td th:text="${(row.index + 1)}">1.</td>
                                        <td th:text="${#temporals.format(dataTimeOff.getTanggal(),'dd-MMM-yyyy')}"></td>
                                        <td th:text="${dataTimeOff.getNama()}"></td>
                                        <td th:text="${dataTimeOff.getTimeOff()}"></td>
                                        <td th:text="${dataTimeOff.getStatus()}"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- /.box-body -->
            </div>
            <!--            <div class="box">-->
            <!--                <div class="box-header with-border">-->
            <!--                    <h3 class="box-title">History Of Salary</h3>-->
            <!--                </div>-->
            <!--                <div class="box-body">-->
            <!--                    <table class="table table-bordered">-->
            <!--                        <tr>-->
            <!--                            <th style="width: 10px">#</th>-->
            <!--                            <th>Year</th>-->
            <!--                            <th>Month</th>-->
            <!--                            <th>Gross</th>-->
            <!--                            <th style="width: 40px"></th>-->
            <!--                        </tr>-->
            <!--                        <tr th:each="dataTotalPayroll,row : ${listTotalPayroll}">-->
            <!--                            <td th:text="${(row.index + 1)}">1.</td>-->
            <!--                            <td th:text="${dataTotalPayroll[1]}">Update software</td>-->
            <!--                            <td th:text="${dataTotalPayroll[0]}">Update software</td>-->
            <!--                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalPayroll[2], 0, 'POINT', 2, 'COMMA')}">Update software</td>-->
            <!--                            <td>-->
            <!--                                <a class="btn-primary btn-xs" th:href="@{/payroll/gross/list(bulan = ${dataTotalPayroll[0]}, tahun = ${dataTotalPayroll[1]})}">Detail</a>-->
            <!--                            </td>-->
            <!--                        </tr>-->
            <!--                    </table>-->
            <!--                </div>-->
            <!--            </div>-->

            <!--            <div class="box box-info">-->
            <!--                <div class="box-header with-border">-->
            <!--                    <h3 class="box-title">Total Salary Chart</h3>-->

            <!--                    <div class="box-tools pull-right">-->
            <!--                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
            <!--                        </button>-->
            <!--                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>-->
            <!--                    </div>-->
            <!--                </div>-->
            <!--                <div class="box-body chart-responsive">-->
            <!--                    <div class="chart" id="line-chart" style="height: 300px;"></div>-->
            <!--                </div>-->
            <!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
            <!--            </div>-->


<!--            <div class="box box-primary">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Total Salary Chart</h3>-->

<!--                    <div class="box-tools pull-right">-->
<!--                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
<!--                        </button>-->
<!--                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-body chart-responsive">-->
<!--                    <div class="chart" id="revenue-chart" style="height: 300px;"></div>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--            </div>-->

            <div class="box box-success">
                <div class="box-header with-border">
                    <h3 class="box-title">Total Salary Chart</h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <div class="box-body chart-responsive">
                    <div class="chart" id="bar-chart" style="height: 300px;"></div>
                </div>
                <!-- /.box-body -->
            </div>

        </div>
    </div>

</section>

<section layout:fragment="footer" class="script">


    <script
            src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.js">
    </script>




    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });

        $.getJSON("/api/total/payroll",function (json) {
            "use strict";

            // // AREA CHART
            // var area = new Morris.Area({
            //     element: 'revenue-chart',
            //     resize: true,
            //     data: json,
            //     xkey: 'bulan',
            //     ykeys: ['totalPayroll'],
            //     labels: ['total salary'],
            //     lineColors: ['#3c8dbc'],
            //     hideHover: 'auto'
            // });

            //BAR CHART
            var bar = new Morris.Bar({
                element: 'bar-chart',
                resize: true,
                data: json,
                barColors: ['#f56954'],
                xkey: 'bulan',
                ykeys: ['totalPayroll'],
                labels: ['total salary'],
                hideHover: 'auto'
            });

            // var line = new Morris.Line({
            //     element: 'line-chart',
            //     resize: true,
            //     data:  json,
            //     xkey: 'bulan',
            //     ykeys: ['totalPayroll'],
            //     labels: ['total salary'],
            //     lineColors: ['#3c8dbc'],
            //     hideHover: 'auto'
            // });
        });

        function SHOWGRAPH() {

            $.ajax({
                type: "GET",
                contentType: "application/json; charset=utf-8",
                url: "/api/total/payroll",
                data: "",
                dataType: "json",
                success: function(data) {


                    for (var i = 0; i < data.d.length; i++) {

                        Morris.Area({

                            element: 'line-chart',
                            data:data.d,
                            xkey: data.d.bulan,
                            ykeys: [data.d.bulan],
                            hideHover: 'auto',
                            resize: true,

                        })
                    };

                }

            });
        }

    </script>

</section>
<section layout:fragment="footer" class="script">

    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


        }
    </script>

</section>
</body>
</html>
